# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
import typing
import pydantic
from ...core.pydantic_utilities import IS_PYDANTIC_V2


class GetStreamOptionsRequest(UniversalBaseModel):
    """
    GetStreamOptionsRequest is the wrapper for request parameters to the client
    """

    loudness_normalization: typing.Optional[bool] = pydantic.Field(default=None)
    """
    Determines whether to normalize the audio loudness to a standard level.
    When enabled, loudness normalization aligns the audio output to the following standards:
    Integrated loudness: -14 LUFS
    True peak: -2 dBTP
    Loudness range: 7 LU
    If disabled, the audio loudness will match the original loudness of the selected voice, which may vary significantly and be either too quiet or too loud.
    Enabling loudness normalization can increase latency due to additional processing required for audio level adjustments.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
